#
# spec file for package python-py-multihash
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-py-multihash
Version:        2.0.1
Release:        1.13
Summary:        Multihash implementation in Python
License:        MIT
URL:            https://github.com/multiformats/py-multihash
Source:         https://files.pythonhosted.org/packages/source/p/py-multihash/py-multihash-%{version}.tar.gz
BuildRequires:  %{python_module base58}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module varint}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Multihash is a protocol for differentiating outputs from
various well-established hash functions, addressing size
and encoding considerations.

%prep
%setup -q -n py-multihash-%{version}
# https://github.com/multiformats/multihash/issues/139
sed -i 's:pytest-runner:pytest:' setup.py

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/*

%changelog
* Thu Dec 16 2021 Matej Cepl <mcepl@suse.com>
- Fix URL
* Tue Dec 14 2021 pgajdos@suse.com
- version update to 2.0.1
  * no upstream changelog
* Wed Jun  3 2020 Steve Kowalik <steven.kowalik@suse.com>
- Initial version
